## ubuntu-policy 3.8.2.0ubuntu1

=== Makefile ===
include debian/rules

policy.sgml: version.ent
menu-policy.sgml: version.ent
mime-policy.sgml: version.ent

%.validate: %
	nsgmls -wall -gues $<

%.html/index.html: %.sgml
	LANG=C debiandoc2html $<

%.html.tar.gz: %.html/index.html
	tar -czf $(<:/index.html=.tar.gz) $(<:/index.html=)

%.txt: %.sgml
	LANG=C debiandoc2text $<

%.txt.gz: %.txt
	gzip -cf9 $< > $@

%.ps: %.sgml
	LANG=C debiandoc2latexps $<

%.ps.gz: %.ps
	gzip -cf9 $< > $@

%.pdf: %.sgml
	LANG=C debiandoc2latexpdf $<

%.pdf.gz: %.pdf
	gzip -cf9 $< > $@

# convenience aliases :)
html: policy.html/index.html
txt text: policy.txt
ps: policy.ps
pdf: policy.pdf
policy: html txt ps pdf

leavealone :=	$(FHS_HTML) $(FHS_FILES) $(FHS_ARCHIVE) \
		libc6-migration.txt \
		upgrading-checklist.html virtual-package-names-list.txt
	      
.PHONY: distclean
distclean:
	rm -rf $(filter-out $(leavealone),$(wildcard *.html))
	rm -f $(filter-out $(leavealone),$(wildcard *.txt *.txt.gz *.html.tar.gz *.pdf *.ps))
	rm -f *.lout* lout.li *.sasp* *.tex *.aux *.toc *.idx *.log *.out *.dvi *.tpt
	rm -f `find . -name "*~" -o -name "*.bak" -o -name ".#*" -o -name core`
	rm -f version.ent
	rm -f *.rej *.orig

# if a rule bombs out, delete the target
.DELETE_ON_ERROR:
# no default suffixes work here, don't waste time on them
.SUFFIXES:

=== debconf_spec/Makefile ===
all: debconf_specification.txt.gz debconf_specification.html

%.html: %.xml html.dsl
	jade -V nochunks -t sgml -d html.dsl \
		/usr/share/xml/declaration/xml.dcl $< > $@
	-tidy -q -i -m -f /dev/null $@

%.txt: %.html
	links -dump $< | perl -pe 's/[\r\0]//g' > $@

%.txt.gz: %.txt
	gzip -cf9 $< > $@

clean:
	rm -f *.css *.html *.txt *.txt.gz

.DELETE_ON_ERROR:

## ubuntu-policy 3.8.0.1ubuntu4

=== debian/changelog ===
ubuntu-policy (3.8.0.1ubuntu4) intrepid; urgency=low

  [ Matt Zimmerman ]
  * Note that Maintainer field changes for Ubuntu do not generally need to
    be documented in debian/changelog.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 19 Oct 2008 09:08:38 +0100

ubuntu-policy (3.8.0.1ubuntu3) intrepid; urgency=low

  * Recommend discussion on ubuntu-devel rather than debian-devel.
  * Document the special semantics of packages in the "metapackages"
    section. See:
    https://lists.ubuntu.com/archives/ubuntu-devel/2008-September/026523.html

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Sep 2008 12:24:59 +0100

ubuntu-policy (3.8.0.1ubuntu2) intrepid; urgency=low

  * Rename to ubuntu-policy so that the original debian-policy can remain in
    the archive. This involves some slightly awkward document name changes,
    since this package ships files in /usr/share/doc-base/ as well as the
    actual documentation and we'd rather not have to conflict.
  * Set Vcs-Bzr for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Sep 2008 15:32:02 +0100

debian-policy (3.8.0.1ubuntu1) intrepid; urgency=low

  * Rebrand as "Ubuntu Policy Manual", preserving acknowledgements.
  * Document Ubuntu Maintainer field handling.
  * The Breaks field may safely be used in Ubuntu packages.
  * Document requirement to update the icon cache when installing files into
    subdirectories of /usr/share/icons.
  * Document the layout of the Ubuntu archive.
  * Describe Ubuntu version number conventions.
  * Document the changelog conventions for closing bugs in Launchpad, and
    the Launchpad-Bugs-Fixed .changes field.
  * Recommend that Standards-Version not be adjusted for Ubuntu revisions of
    this manual, and in general that Standards-Version should not be changed
    in Ubuntu for packages originating in Debian.
  * Note that /var/run is a tmpfs in Ubuntu and that init.d scripts must
    therefore create subdirectories of /var/run dynamically.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Aug 2008 18:14:50 +0100

debian-policy (3.8.0.1) unstable; urgency=low

  * Don't attempt to register the non-existent debian-policy-process
    document.  Thanks, Adrian von Bidder.  (Closes: #484706)

 -- Russ Allbery <rra@debian.org>  Thu, 05 Jun 2008 13:13:01 -0700

debian-policy (3.8.0.0) unstable; urgency=low

  * Bug fix: "[PROPOSAL] "debian/README.source" file for packages with
    non-trivial source", thanks to Wouter Verhelst, Jörg Sommer, Colin Watson,
    and Junichi Uekawa                                       (Closes: #250202).
  * Bug fix: "[AMENDMENT 11/02/2008] Manual page encoding", thanks to
    Colin Watson                                             (Closes: #440420).
  * Bug fix: "[PROPOSAL] common interface for parallel building in
    DEB_BUILD_OPTIONS", thanks to Loïc Minier, Peter Samuelson, and Robert
    Millan                                                   (Closes: #209008).
  * Bug fix: "Please clarify splitting/syntax of DEB_BUILD_OPTIONS", thanks to
    Loïc Minier, Peter Samuelson, Robert Millan, and Guillem Jover
                                                             (Closes: #430649).
  * Bug fix: "Documentation for Breaks in dpkg", thanks to Ian Jackson
                                                             (Closes: #379150).
  * Bug fix: "support for wrapped Uploaders should now be mandatory"
                                                             (Closes: #431813).
  * Bug fix: "[PROPOSAL] Add should not embed code from other packages",
    thanks to Neil McGovern, Colin Watson, Bill Allombert, Steve Langasek,
    Kurt Roeckx, and others                                  (Closes: #392362).
  * Bug fix: "Homepage field in debian/control undocumented", thanks to
    Mario Iseli                                              (Closes: #452105).
  * Bug fix: "Policy inconsistent with reality: base subsection no longer
    used", thanks to Magnus Holmgren, Bernd Zeimetz, and Colin Watson
                                                             (Closes: #442070).
  * Bug fix: "Inclusion of Apache Software License versions in
    /usr/share/common-licenses", thanks to Barry Hawkins     (Closes: #291460).
  * Bug fix: "[Amended] copyright should include notice if a package is
    not a part of Debian distribution", thanks to Taketoshi Sano
                                                             (Closes: #65577).
  * Bug fix: "scripts as configuration files: should vs. must", thanks to Frank
    Küster                                                   (Closes: #403391).
  * Bug fix: "debconf specification should allow underscores in template
    names", thanks to Colin Watson                           (Closes: #473761).
  * Bug fix: "clarify handling of run-time and compile-time support programs",
    thanks to Goswin Brederlow and Raphael Hertzog           (Closes: #367984).
  * Policy: better document version ranking and empty Debian revisions
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #186700, #458910
  * Policy: remove obsolete app-defaults and Xresources provisions
    Wording: Julien Cristau <jcristau@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #480551
  * Bug fix: "Examples of dpkg frontends should mention apt now", thanks
    to Josh Triplett                                         (Closes: #455602).
  * Bug fix: "Minor typos and wording suggestions", thanks to Michael
    Tautschnig                                               (Closes: #422552).
  * Bug fix: "substvar reference moved from dpkg-source(1) to
    deb-substvars(5)", thanks to Ian Beckwith                (Closes: #475731).
  * Policy: bugs fixed in NMUs are now closed rather than marked fixed
    Wording: Russ Allbery <rra@debian.org> (thanks, Sandro Tosi)
    Closes: #481640


=== debian/control ===
Source: ubuntu-policy
Section: doc
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Uploaders: Manoj Srivastava <srivasta@debian.org>, Russ Allbery <rra@debian.org>
Standards-Version: 3.8.0
Build-Depends-Indep: sgml-data (>= 2.0), debiandoc-sgml (>= 1.1.47), tetex-extra, groff, bsdmainutils, pstoedit, jade, docbook-xml (>= 3.1.1), docbook-dsssl, tidy, links (>= 0.90) | elinks
XS-Original-Vcs-Browser: http://git.debian.org/?p=dbnpolicy/policy.git
XS-Original-Vcs-Git: git://git.debian.org/git/dbnpolicy/policy.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-policy/ubuntu

Package: ubuntu-policy
Architecture: all
Suggests: doc-base
Conflicts: dpkg-dev (<< 1.4.0.9), doc-base (<< 0.6), packaging-manual
Replaces: packaging-manual
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Linux Filesystem Hierarchy Standard (FHS)
    - Authoritative list of virtual package names
    - Paper about libc6 migration
    - Policy checklist for upgrading your packages
 It also replaces the old Packaging Manual; most of the still-relevant
 content is now included as appendices to the Policy Manual.

=== debian/rules ===
#!/usr/bin/make -f

ifdef ARCH
  ha:=-a$(ARCH)
endif

# set the dpkg-architecture vars; but we don't use them, so we'll comment out
export DEB_BUILD_ARCH      ?= $(shell dpkg-architecture $(ha) -qDEB_BUILD_ARCH)
export DEB_BUILD_GNU_CPU   ?= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_CPU)
export DEB_BUILD_GNU_SYSTEM?= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_SYSTEM)
export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture $(ha) -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH       ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_ARCH)
export DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_CPU)
export DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_TYPE)

arch	:= $(shell dpkg --print-installation-architecture)

# Basic information
package := $(shell grep Source debian/control | sed 's/^Source: //')
date	:= $(shell date +"%Y-%m-%d")
version := $(shell awk -F '[()]' '/^$(package)/{ print $$2; exit }' debian/changelog)

# Location of the source dir
SRCTOP	  := $(CURDIR)
TMPTOP	  := $(SRCTOP)/debian/tmp
DOCDIR	  := $(TMPTOP)/usr/share/doc/$(package)
LIBDIR	  := $(TMPTOP)/usr/share/doc-base

sanitycheck := debian/rules policy.sgml

SGML_FILES := policy menu-policy mime-policy perl-policy
DESC_FILES := ubuntu-policy ubuntu-menu-policy ubuntu-perl-policy \
              ubuntu-mime-policy debconf-spec.ubuntu fhs.ubuntu

# While we have two versions of the FHS installed in the source package,
# we need to modify this to handle it.  This is the easiest way to do it.
# FHS_ARCHIVE := $(wildcard fhs*.tar.gz)
FHS_ARCHIVE  := fhs-2.3-source.tar.gz
FHS_HTML     := fhs-2.3.html
FHS_FILES    := fhs-2.3.ps.gz fhs-2.3.txt.gz fhs-2.3.pdf.gz
FHS_NEW_ARCHIVE  := 
FHS_NEW_HTML     := 
FHS_NEW_FILES    := 

POLICY_FILES = $(SGML_FILES:=.sgml) $(SGML_FILES:=.txt.gz) \
	       virtual-package-names-list.txt \
	       upgrading-checklist.txt libc6-migration.txt version.ent \
               debconf_spec/debconf_specification.html \
               debconf_spec/debconf_specification.txt.gz \
               policy.ps.gz policy.pdf.gz

# policy.{pdf,ps,tpt,txt} are generated files
FILES_TO_CLEAN  = debian/files debian/buildinfo  debian/substvars \
		  debian/postinst debian/prerm \
		  version.ent upgrading-checklist.txt \
		  $(SGML_FILES:=.txt.gz) $(SGML_FILES:=.html.tar.gz) \
		  policy.pdf.gz policy.ps.gz \
		  debconf_specification.xml.tar.gz \
		  policy.pdf policy.ps policy.txt policy. \
		  body.tmp head.tmp policy.tpt

STAMPS_TO_CLEAN := stamp-policy stamp-build
DIRS_TO_CLEAN   := debian/tmp fhs $(SGML_FILES:=.html)


install_file    := install -p	-o root -g root	 -m  644
install_program := install -p	-o root -g root	 -m  755
make_directory  := install -p -d	-o root -g root	 -m  755


all build: stamp-build
stamp-build: version.ent $(sanitycheck)
	$(MAKE) $(SGML_FILES:=.sgml.validate) \
		$(SGML_FILES:=.html.tar.gz) \
		$(SGML_FILES:=.txt.gz) \
		policy.ps.gz policy.pdf.gz
	links -dump upgrading-checklist.html | perl -pe 's/[\r\0]//g' > \
                    upgrading-checklist.txt
	$(MAKE) -C debconf_spec all
	touch stamp-build

configure: version.ent
version.ent: debian/changelog
	rm -f $@
	echo "<!entity version \"$(version)\">" >> $@
	echo "<!entity date    \"$(date)\">"	>> $@

clean: $(sanitycheck)
# Undoes the effect of `make -f debian/rules build'.
	$(MAKE) -C debconf_spec clean
	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
	  -size 0 \) -print` TAGS


binary:		binary-indep binary-arch
binary-arch:	build $(sanitycheck)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-indep:	stamp-policy
stamp-policy:  build $(sanitycheck)
	@test $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
		(echo need root priviledges; exit 1)
#	This is unnecessary; commenting out
#	test -f stamp-build	|| $(MAKE) -f	     debian/rules build
	rm -rf			$(TMPTOP)
	$(make_directory)	$(TMPTOP)/DEBIAN
	$(make_directory)	$(DOCDIR)/fhs
	$(make_directory)	$(LIBDIR)
	# create a substvar to reference from debian/control so that
	# we don't hardcode the policy compliance of the policy
	# package.  I guess some might question this but I take it as
	# a given that the ubuntu-policy pkg must always comply with
	# itself...
	echo "ubuntu-policy:Version=$(version)"	     > debian/substvars
	$(install_file)	    $(POLICY_FILES)	     $(DOCDIR)/
	$(install_file)	    debian/changelog	     $(DOCDIR)/
	# Be more specific with file compression
	gzip -f9	    $(DOCDIR)/*.txt $(DOCDIR)/*.sgml \
				$(DOCDIR)/changelog
# These are allready compressed
	#$(install_file)    $(FHS_NEW_FILES)	     $(DOCDIR)/fhs/
	$(install_file)	    $(FHS_FILES)	     $(DOCDIR)/fhs/
	$(install_file)	    debian/copyright	     $(DOCDIR)/
	GZIP=-9 cd debconf_spec && \
	  tar -zcf ../debconf_specification.xml.tar.gz *
	$(install_file)	    debconf_specification.xml.tar.gz $(DOCDIR)/
	@set -ex; \
	for file in $(DESC_FILES); do \
	  $(install_file) $$file.desc $(LIBDIR)/$$file; \
	done
	@set -ex; \
	for file in $(SGML_FILES); do \
	  tar -C $(DOCDIR) -zxf $$file.html.tar.gz; \
	done
	$(install_file)     $(FHS_HTML)   $(DOCDIR)/fhs
	@set -ex; \
	cd debian/tmp; \
	find . -type f -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums
	sed -e 's/#PACKAGE#/$(package)/g' debian/postinst.in > debian/postinst
	sed -e 's/#PACKAGE#/$(package)/g' debian/prerm.in > debian/prerm
	$(install_program)  debian/postinst          debian/tmp/DEBIAN/
	$(install_program)  debian/prerm             debian/tmp/DEBIAN/
	dpkg-gencontrol	    -p$(package) -Pdebian/tmp -isp
	chown		    -R root:root debian/tmp
	chmod		    -R go=rX debian/tmp
	dpkg		    --build debian/tmp ..
	touch		    stamp-policy


.PHONY: configure build binary binary-arch binary-indep clean checkroot

#Local variables:
#mode: makefile
#End:

## ubuntu-policy 3.8.2.0ubuntu1

=== debian/changelog ===
ubuntu-policy (3.8.2.0ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Rebrand as "Ubuntu Policy Manual", preserving acknowledgements.
    - Document Ubuntu Maintainer field handling.
    - The Breaks field may safely be used in Ubuntu packages.
    - Document requirement to update the icon cache when installing files
      into subdirectories of /usr/share/icons.
    - Document the layout of the Ubuntu archive.
    - Describe Ubuntu version number conventions.
    - Document the changelog conventions for closing bugs in Launchpad, and
      the Launchpad-Bugs-Fixed .changes field.
    - Recommend that Standards-Version not be adjusted for Ubuntu revisions
      of this manual, and in general that Standards-Version should not be
      changed in Ubuntu for packages originating in Debian.
    - Recommend discussion on ubuntu-devel rather than debian-devel.
    - Document the special semantics of packages in the "metapackages"
      section. See:
      https://lists.ubuntu.com/archives/ubuntu-devel/2008-September/026523.html
    - Note that Maintainer field changes for Ubuntu do not generally need to
      be documented in debian/changelog.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Jun 2009 15:04:49 +0100

debian-policy (3.8.2.0) unstable; urgency=low

  [ Russ Allbery ]
  * Policy: Mandate debconf or equivalent for user prompting
    Wording: Andrew McMillan <awm@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #206684
  * Policy: Remove /etc/X11/XF86Config-4 FHS exception
    Wording: Julien Cristau <jcristau@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
    Closes: #522219
  * Policy: Remove obsolete /var/mail transition requirement
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Closes: #522364
  * Policy: Move Speedo fonts into the deprecated category
    Wording: Julien Cristau <jcristau@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Danjou <acid@debian.org>
    Closes: #522218
  * Housekeeping (resynchronizing lists maintained elsewhere):
    - Add GFDL 1.3 to the common-licenses list.
    - Update the list of archive sections.  (Closes: #519835)
  * Set the release date of the 3.8.1 upgrading-checklist entry.
    (Closes: #519706)

  [ Colin Watson ]
  * The FHS is the "Filesystem Hierarchy Standard", regardless of our
    preferred spelling of "file system" elsewhere. Fix this and a nearby
    search-and-replace capitalisation bug.
  * Build-depend on texlive-latex-extra, which is needed by
    debiandoc2latexps and isn't included in texlive's dependencies.
    Closes: #533257
  * Policy: State requirements for source package names
    Wording: Colin Watson <cjwatson@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #525151
  * Add myself to Uploaders.

  [ Bill Allombert ]
  * Add myself to Uploaders.
  * Update Standards-Version to 3.8.1 (no changes required).
  * debian/rules: 
    - use `dpkg --print-architecture' instead of obsolete form 
      `dpkg --print-installation-architecture'.
    - fix a race condition while generating DEBIAN/md5sums.

 -- Bill Allombert <ballombe@debian.org>  Tue, 16 Jun 2009 21:42:53 +0200

ubuntu-policy (3.8.1.0ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Rebrand as "Ubuntu Policy Manual", preserving acknowledgements.
    - Document Ubuntu Maintainer field handling.
    - The Breaks field may safely be used in Ubuntu packages.
    - Document requirement to update the icon cache when installing files
      into subdirectories of /usr/share/icons.
    - Document the layout of the Ubuntu archive.
    - Describe Ubuntu version number conventions.
    - Document the changelog conventions for closing bugs in Launchpad, and
      the Launchpad-Bugs-Fixed .changes field.
    - Recommend that Standards-Version not be adjusted for Ubuntu revisions
      of this manual, and in general that Standards-Version should not be
      changed in Ubuntu for packages originating in Debian.
    - Recommend discussion on ubuntu-devel rather than debian-devel.
    - Document the special semantics of packages in the "metapackages"
      section. See:
      https://lists.ubuntu.com/archives/ubuntu-devel/2008-September/026523.html
    - Note that Maintainer field changes for Ubuntu do not generally need to
      be documented in debian/changelog.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Apr 2009 20:30:48 +0100

debian-policy (3.8.1.0) unstable; urgency=low

  * Policy: Clarify what "sensible behavior" is for init scripts
    Wording: Steve Langasek <vorlon@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #426877
  * Policy: Remove alternative changelog formats from main manual
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Ben Pfaff <blp@cs.stanford.edu>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #489460
  * Policy: Mandate UTF-8 for changelog files
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Closes: #241333
  * Policy: Mandate UTF-8 for control files
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #143941
  * Policy: New option in DEB_BUILD_OPTIONS to avoid running test-suites
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>


=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Policy List <debian-policy@lists.debian.org>
-Uploaders: Manoj Srivastava <srivasta@debian.org>, Russ Allbery <rra@debian.org>
-Standards-Version: 3.8.0
-Build-Depends-Indep: sgml-data (>= 2.0), debiandoc-sgml (>= 1.1.47), tetex-extra, groff, bsdmainutils, pstoedit, jade, docbook-xml (>= 3.1.1), docbook-dsssl, tidy, links (>= 0.90) | elinks
-XS-Original-Vcs-Browser: http://git.debian.org/?p=dbnpolicy/policy.git
-XS-Original-Vcs-Git: git://git.debian.org/git/dbnpolicy/policy.git
+Uploaders: Manoj Srivastava <srivasta@debian.org>, Russ Allbery <rra@debian.org>, Colin Watson <cjwatson@debian.org>, Bill Allombert <ballombe@debian.org>
+Standards-Version: 3.8.1
+Build-Depends-Indep: sgml-data (>= 2.0), debiandoc-sgml (>= 1.1.47), texlive, texlive-latex-extra, groff, bsdmainutils, pstoedit, jade, docbook-xml (>= 3.1.1), docbook-dsssl, tidy, links (>= 0.90) | elinks
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=dbnpolicy/policy.git
+XS-Debian-Vcs-Git: git://git.debian.org/git/dbnpolicy/policy.git
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-policy/ubuntu
 
 Package: ubuntu-policy

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_SYSTEM)
 export DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture $(ha) -qDEB_HOST_GNU_TYPE)
 
-arch	:= $(shell dpkg --print-installation-architecture)
+arch	:= $(shell dpkg --print-architecture)
 
 # Basic information
 package := $(shell grep Source debian/control | sed 's/^Source: //')
@@ -142,11 +142,8 @@
 	$(install_file)     $(FHS_HTML)   $(DOCDIR)/fhs
 	@set -ex; \
 	cd debian/tmp; \
-	find . -type f -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums
-	sed -e 's/#PACKAGE#/$(package)/g' debian/postinst.in > debian/postinst
-	sed -e 's/#PACKAGE#/$(package)/g' debian/prerm.in > debian/prerm
-	$(install_program)  debian/postinst          debian/tmp/DEBIAN/
-	$(install_program)  debian/prerm             debian/tmp/DEBIAN/
+	find . -path "./DEBIAN" -prune -o -type f -printf '%P\0' \
+           | xargs -r0 md5sum > DEBIAN/md5sums
 	dpkg-gencontrol	    -p$(package) -Pdebian/tmp -isp
 	chown		    -R root:root debian/tmp
 	chmod		    -R go=rX debian/tmp

## ubuntu-policy 3.8.2.0ubuntu2

=== debian/changelog ===
ubuntu-policy (3.8.2.0ubuntu2) yakkety; urgency=medium

  * Build-depend on sp to provide the nsgmls command, which is required for
    the Makefile. Fixes an FTBFS upon rebuild.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 05 May 2016 10:04:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Policy List <debian-policy@lists.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>, Russ Allbery <rra@debian.org>, Colin Watson <cjwatson@debian.org>, Bill Allombert <ballombe@debian.org>
 Standards-Version: 3.8.1
-Build-Depends-Indep: sgml-data (>= 2.0), debiandoc-sgml (>= 1.1.47), texlive, texlive-latex-extra, groff, bsdmainutils, pstoedit, jade, docbook-xml (>= 3.1.1), docbook-dsssl, tidy, links (>= 0.90) | elinks
+Build-Depends-Indep: sgml-data (>= 2.0), debiandoc-sgml (>= 1.1.47), texlive, texlive-latex-extra, groff, bsdmainutils, pstoedit, jade, docbook-xml (>= 3.1.1), docbook-dsssl, tidy, links (>= 0.90) | elinks, sp
 XS-Debian-Vcs-Browser: http://git.debian.org/?p=dbnpolicy/policy.git
 XS-Debian-Vcs-Git: git://git.debian.org/git/dbnpolicy/policy.git
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-policy/ubuntu

## ubuntu-policy 3.8.2.0ubuntu3

=== debian/changelog ===
ubuntu-policy (3.8.2.0ubuntu3) zesty; urgency=medium

  * Use opensp (/usr/bin/onsgmls) and openjade, not the obsolete sp and
    jade packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Feb 2017 15:03:50 -0800

## ubuntu-policy 3.8.2.0ubuntu4

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 mime-policy.sgml: version.ent
 
 %.validate: %
-	nsgmls -wall -gues $<
+	onsgmls -wall -gues $<
 
 %.html/index.html: %.sgml
 	LANG=C debiandoc2html $<

=== debconf_spec/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all: debconf_specification.txt.gz debconf_specification.html
 
 %.html: %.xml html.dsl
-	jade -V nochunks -t sgml -d html.dsl \
+	openjade -V nochunks -t sgml -d html.dsl \
 		/usr/share/xml/declaration/xml.dcl $< > $@
 	-tidy -q -i -m -f /dev/null $@

=== debian/changelog ===
ubuntu-policy (3.8.2.0ubuntu4) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:40:59 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Policy List <debian-policy@lists.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>, Russ Allbery <rra@debian.org>, Colin Watson <cjwatson@debian.org>, Bill Allombert <ballombe@debian.org>
 Standards-Version: 3.8.1
-Build-Depends-Indep: sgml-data (>= 2.0), debiandoc-sgml (>= 1.1.47), texlive, texlive-latex-extra, groff, bsdmainutils, pstoedit, jade, docbook-xml (>= 3.1.1), docbook-dsssl, tidy, links (>= 0.90) | elinks, sp
+Build-Depends-Indep: sgml-data (>= 2.0), debiandoc-sgml (>= 1.1.47), texlive, texlive-latex-extra, groff, bsdmainutils, pstoedit, openjade, docbook-xml (>= 3.1.1), docbook-dsssl, tidy, links (>= 0.90) | elinks, opensp
 XS-Debian-Vcs-Browser: http://git.debian.org/?p=dbnpolicy/policy.git
 XS-Debian-Vcs-Git: git://git.debian.org/git/dbnpolicy/policy.git
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-policy/ubuntu
